execute as @e[tag=Boss,scores={TimeBoss=0}] run scoreboard players add @s Time 1
scoreboard players set @e[tag=Boss,scores={TimeBoss=1}] Time 0

execute if score @e[tag=Boss,limit=1] Health matches ..100 run scoreboard players set @e[tag=Boss] Time 0
execute if score @e[tag=Boss,limit=1] Health matches ..100 run scoreboard players set Dionae Talk 0
execute if score @e[tag=Boss,limit=1] Health matches ..100 run tag @a[tag=Playing] add CutScene
execute if score @e[tag=Boss,limit=1] Health matches ..100 run tag @e[tag=Boss] add Finale
execute if score @e[tag=Boss,limit=1] Health matches ..100 run kill @e[type=area_effect_cloud]

scoreboard players add @e[tag=Boss] TimeFinal 1
execute as @e[tag=Boss,scores={TimeFinal=5}] at @s run particle block oak_leaves ~ ~1 ~ 0.5 0.8 0.5 0.1 100 force
execute as @e[tag=Boss,scores={TimeFinal=5}] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleBoss\""}
execute as @e[tag=Boss,scores={TimeFinal=5}] at @e[name=BossStand,limit=1] run spreadplayers ~ ~ 1 3 true @e[name=TeleBoss,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeFinal=5}] as @e[name=TeleBoss,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeFinal=5}] at @e[name=TeleBoss,type=area_effect_cloud] run tp @s ~ ~ ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeFinal=5}] at @s run particle block oak_leaves ~ ~1 ~ 0.5 0.8 0.5 0.1 100 force
execute as @e[tag=Boss,scores={TimeFinal=5}] run scoreboard players set @s TimeFinal 0

execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Root\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Fang\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Leaf\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Leaf\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Spirit\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Buff\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Clone\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Boom\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Bury\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Beam\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Magma\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Gas\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Zombie\"",Tags:["pick"]}
execute at @e[tag=Boss,scores={Time=3}] run tag @e[type=area_effect_cloud,limit=1,sort=random,distance=..1,tag=pick] add Choose

execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run tag @s add HitDone
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run tag @s add EnemyNoMove
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run scoreboard players set @s Time 8

execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Root,tag=Choose,distance=..1] run tag @s add Root
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Root,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 3
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Fang,tag=Choose,distance=..1] run tag @s add Fang
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Fang,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 3
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Leaf,tag=Choose,distance=..1] run tag @s add Leaf
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Leaf,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 3
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Spirit,tag=Choose,distance=..1] run tag @s add Spirit
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Spirit,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 2
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Buff,tag=Choose,distance=..1] run tag @s add Buff
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Buff,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 2
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Clone,tag=Choose,distance=..1] run tag @s add Clone
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Clone,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 3
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Boom,tag=Choose,distance=..1] run tag @s add Boom
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Boom,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 5
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Bury,tag=Choose,distance=..1] run tag @s add Bury
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Bury,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 4
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Beam,tag=Choose,distance=..1] run tag @s add Beam
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Beam,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 3
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Magma,tag=Choose,distance=..1] run tag @s add Magma
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Magma,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 3
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Gas,tag=Choose,distance=..1] run tag @s add Gas
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Gas,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 6
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Zombie,tag=Choose,distance=..1] run tag @s add Zombie
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Zombie,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 2

scoreboard players remove @e[tag=Boss,scores={TimeBoss=1..}] TimeBoss 1
execute as @e[tag=Boss,scores={TimeBoss=1..}] run tag @s add HitDone
execute as @e[tag=Boss,scores={TimeBoss=1..}] run tag @s add EnemyNoMove

execute as @e[tag=Boss,scores={TimeBoss=2},tag=Root] run tellraw @a[tag=Playing] {"text":"\"Please stop moving... get it over with.\"","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Root] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"RootPlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Root] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"RootPlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Root] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"RootPlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Root] at @s run spreadplayers ~ ~ 1 3 false @e[name=RootPlace,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Root] as @e[name=RootPlace,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Root] at @e[name=RootPlace,type=area_effect_cloud] run fill ~ ~-1 ~ ~ ~-1 ~ slime_block replace #path:walkable
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Root] at @e[name=RootPlace,type=area_effect_cloud] run particle item slime_ball ~ ~ ~ 0.2 0.2 0.2 0.01 50 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Root] as @e[name=RootPlace,type=area_effect_cloud] run kill @s
tag @e[tag=Boss,scores={TimeBoss=0},tag=Root] remove Root

execute as @e[tag=Boss,scores={TimeBoss=2},tag=Fang] run tellraw @a[tag=Playing] {"text":"\"The darkness is getting out of hand...\"","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Fang] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"FangPlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Fang] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"FangPlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Fang] at @s run spreadplayers ~ ~ 1 3 false @e[name=FangPlace,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Fang] as @e[name=FangPlace,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Fang] at @e[name=FangPlace,type=area_effect_cloud] run fill ~ ~-1 ~ ~ ~-1 ~ obsidian replace #path:walkable
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Fang] at @e[name=FangPlace,type=area_effect_cloud] run particle smoke ~ ~ ~ 0.2 0.2 0.2 0.01 100 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Fang] as @e[name=FangPlace,type=area_effect_cloud] run kill @s
tag @e[tag=Boss,scores={TimeBoss=0},tag=Fang] remove Fang

execute as @e[tag=Boss,scores={TimeBoss=2},tag=Leaf] run tellraw @a[tag=Playing] {"text":"\"My plants must stop you!\"","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Leaf] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 air replace oak_leaves
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Leaf] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"LeafPlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Leaf] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"LeafPlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Leaf] at @e[name=BossStand] run spreadplayers ~ ~ 1 2 false @e[name=LeafPlace,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Leaf] as @e[name=LeafPlace,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Leaf] at @e[name=LeafPlace,type=area_effect_cloud] run fill ~ ~ ~ ~ ~ ~ oak_leaves replace #path:standable
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Leaf] at @e[name=LeafPlace,type=area_effect_cloud] run particle cloud ~ ~ ~ 0.2 0.2 0.2 0.01 100 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Leaf] as @e[name=LeafPlace,type=area_effect_cloud] run kill @s
tag @e[tag=Boss,scores={TimeBoss=0},tag=Leaf] remove Leaf

execute as @e[tag=Boss,scores={TimeBoss=1},tag=Spirit] run tellraw @a[tag=Playing] {"text":"\"All lost spirits, trapped... and we are too.\"","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Spirit] at @s run summon armor_stand ~ 8 ~ {NoGravity:1,CustomName:"\"Spirit\"",Tags:["Enemy","Secured","Etheral","EnemyNoMove","HitDone"],Invisible:1}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Spirit] at @s run scoreboard players set @e[name=Spirit,distance=..1] Health 1
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Spirit] at @s run scoreboard players set @e[name=Spirit,distance=..1] AttackMin 23
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Spirit] at @s run scoreboard players set @e[name=Spirit,distance=..1] AttackMax 25
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Spirit] at @s run scoreboard players set @e[name=Spirit,distance=..1] DefenseMin 0
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Spirit] at @s run scoreboard players set @e[name=Spirit,distance=..1] DefenseMax 0
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Spirit] at @s run scoreboard players set @e[name=Spirit,distance=..1] Time 15
tag @e[tag=Boss,scores={TimeBoss=0},tag=Spirit] remove Spirit

execute as @e[tag=Boss,scores={TimeBoss=1},tag=Buff] run tellraw @a[tag=Playing] {"text":"\"I am a literal god!\"","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Buff] at @s run particle happy_villager ~ ~ ~ 0.5 0.5 0.5 0.1 100 force
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Buff] run scoreboard players set @s EffectFocus 6
execute as @e[tag=Boss,scores={TimeBoss=0},tag=Buff] run scoreboard players set @s EffectStrength 6
tag @e[tag=Boss,scores={TimeBoss=0},tag=Buff] remove Buff

execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] run tellraw @a[tag=Playing] {"text":"\"Please, don't hurt me!\"","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"CloneBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"CloneBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @e[name=BossStand,limit=1] run spreadplayers ~ ~ 1 2 false @e[name=CloneBoss,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] as @e[name=CloneBoss,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @e[name=CloneBoss,type=area_effect_cloud] run summon armor_stand ~ ~ ~ {HandItems:[{id:"golden_sword",Count:1}],ArmorItems:[{},{},{},{id:"stripped_spruce_wood",Count:1}],NoAI:1,Tags:["Clone","Enemy","EnemyNoMove","HitDone"],CustomName:"\"Dionae\"",Invisible:1}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @e[type=illusioner] run particle witch ~ ~ ~ 0.5 0.5 0.5 0.01 100 force
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @s run scoreboard players set @e[type=armor_stand,tag=!Secured] Health 1
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @s run scoreboard players set @e[type=armor_stand,tag=!Secured] AttackMin 23
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @s run scoreboard players set @e[type=armor_stand,tag=!Secured] AttackMax 25
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @s run scoreboard players set @e[type=armor_stand,tag=!Secured] DefenseMin 0
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @s run scoreboard players set @e[type=armor_stand,tag=!Secured] DefenseMax 0
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @s run scoreboard players set @e[type=armor_stand,tag=!Secured] Time 15
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Clone] at @s run tag @e[type=armor_stand,tag=!Secured] add Secured
tag @e[tag=Boss,scores={TimeBoss=0},tag=Clone] remove Clone

execute as @e[tag=Boss,scores={TimeBoss=4},tag=Boom] run tellraw @a[tag=Playing] {"text":"\"It's all falling apart already...\"","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=0..3},tag=Boom] at @e[name=BitePlace] run particle crit ~ ~ ~ 0.2 0.2 0.2 0.1 50 force
execute as @e[tag=Boss,scores={TimeBoss=0..3},tag=Boom] at @e[name=BitePlace] run scoreboard players remove @e[tag=Player,distance=0] Health 30
execute as @e[tag=Boss,scores={TimeBoss=0..3},tag=Boom] as @e[name=BitePlace] run kill @s
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Boom] at @e[tag=Player] run summon area_effect_cloud ~1 ~ ~ {CustomName:"\"BitePlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Boom] at @e[tag=Player] run summon area_effect_cloud ~-1 ~ ~ {CustomName:"\"BitePlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Boom] at @e[tag=Player] run summon area_effect_cloud ~ ~ ~1 {CustomName:"\"BitePlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Boom] at @e[tag=Player] run summon area_effect_cloud ~ ~ ~-1 {CustomName:"\"BitePlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Boom] at @e[tag=Player] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"BitePlace\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Boom] as @e[name=BitePlace,limit=2,sort=random] run kill @s
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Boom] at @e[name=BitePlace] run particle falling_dust oak_leaves ~ ~ ~ 0.2 0.2 0.2 0.1 30 force
tag @e[tag=Boss,scores={TimeBoss=0},tag=Boom] remove Boom

execute as @e[tag=Boss,scores={TimeBoss=3},tag=Bury] run tellraw @a[tag=Playing] {"text":"\"No! We're on the same side!\"","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bury] at @s run particle dust 0 1 0 1 ~ ~0.5 ~ 0.7 0.2 0.7 0.05 200 force
execute at @e[tag=Boss,scores={TimeBoss=2},tag=Bury] if entity @e[distance=..1,tag=Player] run scoreboard players add Poison ListBuff 20
execute at @e[tag=Boss,scores={TimeBoss=2},tag=Bury] run scoreboard players set @e[distance=..1,tag=Player] DamagePoison 10
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bury] run tag @s remove Enemy
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Bury] at @s run tp @s ~ 5 ~
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Bury] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"ComeBack\""}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Bury] at @e[name=Room,tag=BossRoom] run spreadplayers ~ ~ 1 2 false @e[name=ComeBack,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Bury] as @e[name=ComeBack,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Bury] run tag @s add Enemy
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Bury] at @s run tp @s @e[name=ComeBack,type=area_effect_cloud,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Bury] at @s run particle dust 0 1 0 1 ~ ~0.5 ~ 0.5 0.2 0.5 0.1 100 force
execute at @e[tag=Boss,scores={TimeBoss=1},tag=Bury] if entity @e[distance=..1,tag=Player] run scoreboard players add Poison ListBuff 15
execute at @e[tag=Boss,scores={TimeBoss=1},tag=Bury] run scoreboard players set @e[distance=..1,tag=Player] DamagePoison 8
tag @e[tag=Boss,scores={TimeBoss=0},tag=Bury] remove Bury

execute as @e[tag=Boss,scores={TimeBoss=2},tag=Beam] run tellraw @a[tag=Playing] {"text":"My plants... drain his life force.","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=0..1},tag=Beam] as @e[name=DionaeBeam] at @s run function enemy:boss/dionaebeam
execute as @e[tag=Boss,scores={TimeBoss=0..1},tag=Beam] run kill @e[name=DionaeBeam]
execute as @e[tag=Boss,scores={TimeBoss=1..2},tag=Beam] run summon area_effect_cloud ~ 8 ~ {CustomName:"\"DionaeBeam\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=1..2},tag=Beam] at @s run tp @e[name=DionaeBeam] ~ 8 ~ facing entity @e[tag=Player,limit=1]
tag @e[tag=Boss,scores={TimeBoss=0},tag=Beam] remove Beam

execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] run tellraw @a[tag=Playing] {"text":"\"Don't let the Void notice your presence!\"","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DarkBlast\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DarkBlast\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DarkBlast\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DarkBlast\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DarkBlast\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DarkBlast\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DarkBlast\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] at @e[name=BossStand] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DarkBlast\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] at @e[name=BossStand,limit=1] run spreadplayers ~ ~ 1 3 false @e[name=DarkBlast,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] as @e[name=DarkBlast,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Magma] at @e[name=DarkBlast] run particle flame ~ ~0.5 ~ 0.2 0.2 0.2 0.1 10 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Magma] at @e[name=DarkBlast] run particle flame ~ ~0.5 ~ 0.2 1 0.2 0.01 50 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Magma] at @e[name=DarkBlast] run scoreboard players remove @e[tag=Player,distance=..0] Health 70
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Magma] run kill @e[name=DarkBlast,type=area_effect_cloud]
tag @e[tag=Boss,scores={TimeBoss=0},tag=Magma] remove Magma

execute as @e[tag=Boss,scores={TimeBoss=5},tag=Gas] run tellraw @a[tag=Playing] {"text":"\"Stop it! Cut it out!!\"","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Gas] at @s positioned ~ ~-0.5 ~ unless entity @e[name=WitchGas,distance=..1] run summon area_effect_cloud ~ 8 ~ {CustomName:"\"WitchGas\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Gas] at @s align xz positioned ~0.5 ~-0.5 ~0.5 run function enemy:move
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Gas] run tag @s remove HitDone
tag @e[tag=Boss,scores={TimeBoss=0},tag=Gas] remove Gas

scoreboard players add @e[name=WitchGas,type=area_effect_cloud] Time 1
execute as @e[name=WitchGas,scores={Time=8..}] run kill @s

execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] run tellraw @a[tag=Playing] {"text":"My nature... help me...","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"SummonZombie\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"SummonZombie\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"SummonZombie\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] at @e[name=Room,tag=BossRoom] run spreadplayers ~ ~ 1 3 false @e[name=SummonZombie,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] as @e[name=SummonZombie,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] at @e[name=SummonZombie,type=area_effect_cloud] run particle smoke ~ ~ ~ 0.4 0.4 0.4 0.01 100 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] at @e[name=SummonZombie,type=area_effect_cloud] if block ~ ~ ~ #path:standable run summon zombie ~ ~ ~ {NoAI:1,Tags:["Enemy","EnemyNoMove","HitDone"]}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] run scoreboard players set @e[type=zombie,tag=!Secured] AttackMin 18
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] run scoreboard players set @e[type=zombie,tag=!Secured] AttackMax 22
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] run scoreboard players set @e[type=zombie,tag=!Secured] DefenseMin 4
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] run scoreboard players set @e[type=zombie,tag=!Secured] DefenseMax 6
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] run scoreboard players set @e[type=zombie,tag=!Secured] Health 40
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] as @e[type=zombie,tag=!Secured] at @s run tp @s ~ ~ ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] run tag @e[type=zombie,tag=!Secured] add Secured
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Zombie] as @e[name=SummonZombie,type=area_effect_cloud] run kill @s
tag @e[tag=Boss,scores={TimeBoss=0},tag=Zombie] remove Zombie

execute at @e[name=FangPlace2] run summon evoker_fangs ~ ~-0.25 ~
execute at @e[name=FangPlace2] positioned ~ ~-0.5 ~ run scoreboard players remove @e[tag=Player,distance=..1] Health 25
execute as @e[name=FangPlace2] run kill @s
execute as @e[tag=Player] at @s if block ~ ~-1 ~ obsidian run summon area_effect_cloud ~ ~ ~ {CustomName:"\"FangPlace2\"",Duration:200000}
execute as @e[tag=Boss,scores={Time=3..,TimeBoss=0}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run scoreboard players set @s Time 0
execute as @e[tag=Boss,scores={Time=3..}] run kill @e[type=area_effect_cloud,distance=..1]