#Reset field
effect give @a[tag=Playing] night_vision 10000 0 true
clear @a beacon
tp @a[tag=Playing] 14 4 -2
scoreboard players set CurrentFloor MathCurrent 11
scoreboard players set CurrentFloor Math 5
fill 0 7 4 76 11 80 air
kill @e[tag=RoomSpecial]
kill @e[tag=Enemy]
kill @e[tag=Shopkeeper]
kill @e[type=item]
kill @e[name=BossStand]
kill @e[name=BeaconPoint]
function void:reset1
fill 7 6 73 69 6 11 black_concrete replace yellow_stained_glass
function void:grid1
function void:layout1
fill 7 7 73 69 14 11 black_concrete replace barrier
function void:room1

#Reset special room armorstands
execute at @e[name=Room] if block ~ 7 ~ white_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CraftRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ orange_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"SmiteRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ magenta_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"EnchantRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ light_blue_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"BrewingRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ gray_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CutRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ light_gray_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"EndRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ cyan_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"MineRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ cyan_terracotta run data merge block ~ 8 ~ {LootTable:"loot:mine"}
execute at @e[name=Room] if block ~ 7 ~ lime_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"SummonRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ pink_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CombineRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ granite run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"TradeRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ polished_granite run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CompressRoom\"",Invisible:1}
execute as @e[name=Room] at @s if block ~ 7 ~ yellow_terracotta run function math:shop2

#Fill assets
fill 7 7 73 69 14 11 black_concrete replace air
fill 7 7 73 69 14 11 black_concrete replace barrier
fill 7 10 73 69 14 11 black_concrete replace black_stained_glass
fill 7 10 73 69 14 11 black_concrete replace white_stained_glass
fill 7 14 73 69 14 11 black_concrete replace purple_stained_glass
execute at @e[tag=StartRoom] run fill ~-3 8 ~-3 ~3 14 ~3 barrier replace black_concrete
fill 7 6 73 69 6 11 black_concrete replace air

fill 6 7 9 5 14 75 black_concrete replace air
fill 6 14 74 69 7 75 black_concrete replace air
fill 70 14 75 71 7 9 black_concrete replace air
fill 70 14 10 6 7 9 black_concrete replace air

fill 6 7 11 5 14 73 black_concrete replace barrier
fill 6 14 74 69 7 75 black_concrete replace barrier
fill 70 14 74 71 7 11 black_concrete replace barrier
fill 70 14 10 6 7 9 black_concrete replace barrier
tag @e[tag=StartRoom] add Discovered
tag @e[tag=StartRoom] add Open

fill 7 10 73 69 10 11 black_concrete replace structure_void
execute at @e[tag=BossRoom,tag=!FinalVoid] if block ~ 7 ~7 black_concrete run clone -33 64 23 -37 66 27 ~-2 7 ~5
execute as @e[tag=BossRoom,tag=!FinalVoid] at @s if block ~ 7 ~7 polished_andesite run tag @s add FinalVoid
execute at @e[tag=BossRoom,tag=!FinalVoid] if block ~ 7 ~-7 black_concrete run clone -33 64 23 -37 66 27 ~-2 7 ~-9
execute as @e[tag=BossRoom,tag=!FinalVoid] at @s if block ~ 7 ~-7 polished_andesite run tag @s add FinalVoid

execute at @e[tag=BossRoom,tag=!FinalVoid] if block ~7 7 ~ black_concrete run clone -33 64 23 -37 66 27 ~5 7 ~-2
execute as @e[tag=BossRoom,tag=!FinalVoid] at @s if block ~7 7 ~ polished_andesite run tag @s add FinalVoid
execute at @e[tag=BossRoom,tag=!FinalVoid] if block ~-7 7 ~ black_concrete run clone -33 64 23 -37 66 27 ~-9 7 ~-2
execute as @e[tag=BossRoom,tag=!FinalVoid] at @s if block ~-7 7 ~ polished_andesite run tag @s add FinalVoid

execute at @e[name=Room] if block ~ 7 ~ polished_andesite run fill ~-4 6 -4 ~4 6 ~4 black_concrete replace yellow_stained_glass
execute at @e[name=Room] if block ~ 7 ~ polished_andesite run fill ~4 8 ~3 ~3 9 ~-3 black_concrete
execute at @e[name=Room] if block ~ 7 ~ polished_andesite run fill ~-4 8 ~3 ~-3 9 ~-3 black_concrete
execute at @e[name=Room] if block ~ 7 ~ polished_andesite run fill ~3 8 ~4 ~-3 9 ~3 black_concrete
execute at @e[name=Room] if block ~ 7 ~ polished_andesite run fill ~3 8 ~-4 ~-3 9 ~-3 black_concrete

execute at @e[tag=BossRoom] unless block ~5 7 ~ black_wool run fill ~4 8 ~-2 ~4 9 ~2 black_concrete
execute at @e[tag=BossRoom] unless block ~-5 7 ~ black_wool run fill ~-4 8 ~-2 ~-4 9 ~2 black_concrete
execute at @e[tag=BossRoom] unless block ~ 7 ~5 black_wool run fill ~2 8 ~4 ~-2 9 ~4 black_concrete
execute at @e[tag=BossRoom] unless block ~ 7 ~-5 black_wool run fill ~2 8 ~-4 ~-2 9 ~-4 black_concrete

#Spawn monsters
execute as @e[name=Room,tag=!Discovered,tag=!BossRoom,tag=!Shopkeep,limit=25] at @s unless block ~ 7 ~ #path:use unless entity @e[tag=Enemy,distance=..7] run function math:spawn5d
execute as @e[tag=Enemy] at @s run tp @s ~ ~ ~ facing entity @e[tag=Enemy,limit=1,sort=random]
tag @e[tag=Enemy] add Sleep

execute as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=5,sort=random,tag=!Shopkeep] at @s run function math:spawnfood
execute if score Orb Math matches 4 as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=2,sort=random,tag=!Shopkeep] at @s run function math:spawnfood
execute if entity @e[tag=Player,tag=P_Foot] as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=2,sort=random,tag=!Shopkeep] at @s run function math:spawnfood

execute as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=8,sort=random,tag=!Shopkeep] at @s run function math:spawnitem
execute if entity @e[tag=Player,tag=P_Clover] as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=3,sort=random,tag=!Shopkeep] at @s run function math:spawnitem

execute if entity @e[tag=Player,tag=P_Chest] run give @a[tag=Playing] charcoal{Coal:1b,display:{Lore:['{"text":"§e§lItem Resource"}','{"text":"§7Can be used to summon... things."}']}}
execute if entity @e[tag=Player,tag=P_Chest] run give @a[tag=Playing] oak_planks{display:{Lore:['{"text":"§6§lCombat Resource"}','{"text":"§7Not very hard, but won\'t break easily."}']}}
execute if entity @e[tag=Player,tag=P_Bag] run scoreboard players add Food ListBuff 100
execute if entity @e[tag=Player,tag=P_Bag] run scoreboard players add @e[tag=Player] Health 100
execute as @e[tag=Player] if score @s Health > @s HealthMax store result score @s Health run scoreboard players get @s HealthMax
execute if score Food ListBuff matches 301.. run scoreboard players set Food ListBuff 300

execute at @e[tag=StartRoom] run tp @e[tag=Player] ~ 8 ~
execute at @e[tag=StartRoom] run tp @e[tag=Friend] ~ 8 ~
execute at @e[tag=StartRoom] run tp @e[type=armor_stand,name=Start] ~ 8 ~
tag @e[tag=Player] remove InBoss
tag @e[tag=Player] remove InBoss2
tag @e[tag=Player] remove InBoss3
function math:changeitem1

title @a[tag=Playing,tag=!CutScene] title {"translate":"message.generate.floor11a","color":"dark_blue","bold":"true"}
title @a[tag=Playing,tag=!CutScene] subtitle {"translate":"message.generate.floor11b","color":"green","italic":"true"}
execute at @e[tag=Player] run tp @a[tag=Playing,tag=!CutScene] ~ 15 ~