#Rage selection (Player/Enemy)
execute as @s[scores={HitTime=9}] run tag @e[tag=Enemy] remove AmokHit
execute as @s[scores={HitTime=9}] run tag @e[tag=Enemy] remove AmokHitted
execute as @s[scores={HitTime=9}] at @s if score @s EffectRage matches 1.. align xz positioned ~0.5 ~-0.5 ~0.5 if entity @e[tag=Enemy,distance=1..2] run tag @s add AmokHit

#Target selection (Player/Ally)
execute as @s[tag=!AmokHit,scores={HitTime=9}] at @s align xz positioned ~0.5 ~-0.5 ~0.5 if entity @e[tag=Player,distance=..2] run tag @e[tag=Player] add Targeted
execute as @s[tag=!AmokHit,scores={HitTime=9}] unless entity @e[tag=Targeted] at @s align xz positioned ~0.5 ~-0.5 ~0.5 if entity @e[tag=Friend,distance=..2] run tag @e[tag=Friend] add Targeted

#Rage attack
execute as @s[tag=AmokHit,scores={HitTime=9}] at @s if score @s EffectRage matches 1.. run tag @e[tag=Enemy,limit=1,sort=nearest,distance=1..2] add AmokHitted
execute as @s[tag=AmokHit,scores={HitTime=9}] at @s if score @s EffectRage matches 1.. run tag @e[tag=Enemy,limit=1,sort=nearest,distance=1..2] add Targeted
execute as @s[tag=AmokHit,scores={HitTime=8}] at @s run tp @s ~ ~ ~ facing entity @e[tag=AmokHitted,limit=1]
execute as @s[tag=AmokHit,scores={HitTime=6}] as @e[tag=AmokHitted] run function math:attack2
execute as @s[tag=AmokHit,scores={HitTime=6}] as @e[tag=AmokHitted] run function math:defense2
execute as @s[tag=AmokHit,scores={HitTime=5}] as @e[tag=AmokHitted] run scoreboard players operation @s Damage -= @s Defense
execute as @s[tag=AmokHit,scores={HitTime=5}] as @e[tag=AmokHitted] if score @s Damage matches ..0 run scoreboard players set @s Damage 0
execute as @s[tag=AmokHit,scores={HitTime=5}] as @e[tag=AmokHitted] run scoreboard players operation @s Health -= @s Damage
execute as @s[tag=AmokHit,scores={HitTime=5}] at @e[tag=AmokHitted] run particle sweep_attack ~ ~ ~ 0.2 0.2 0.2 0.1 10 force @a[tag=PAR]
execute as @s[tag=AmokHit,scores={HitTime=5}] as @e[tag=AmokHitted] run effect give @s wither 2 0 true

#Normal attack: base attack/defense
execute as @s[tag=!AmokHit,scores={HitTime=8}] at @s run tp @s ~ ~ ~ facing entity @e[tag=Targeted,limit=1]
execute as @s[tag=!AmokHit,scores={HitTime=6}] as @e[tag=Targeted] run function math:attack2
execute as @s[tag=!AmokHit,scores={HitTime=6}] as @e[tag=Targeted] run scoreboard players set @s Defense 0
execute as @s[tag=!AmokHit,scores={HitTime=6}] unless score @s EffectFocus matches 1.. as @e[tag=Targeted] run function math:defense2

#Normal attack: damage modifiers
execute as @s[tag=!AmokHit,scores={HitTime=5}] as @e[tag=Targeted] if score @s ListEnchant matches 3 run scoreboard players operation @s Damage *= Factor5 Math
execute as @s[tag=!AmokHit,scores={HitTime=5}] as @e[tag=Targeted] if score @s ListEnchant matches 3 run scoreboard players operation @s Damage /= Factor4 Math
execute as @s[tag=!AmokHit,scores={HitTime=5}] if score @s EffectStrength matches 1.. as @e[tag=Targeted] run scoreboard players operation @s Damage *= Factor2 Math
execute as @s[tag=!AmokHit,scores={HitTime=5}] if entity @s[tag=Enraged] as @e[tag=Targeted] run scoreboard players operation @s Damage *= Factor3 Math
execute as @s[tag=!AmokHit,scores={HitTime=5}] if entity @s[tag=Enraged] as @e[tag=Targeted] run scoreboard players operation @s Damage /= Factor2 Math
execute as @s[tag=!AmokHit,scores={HitTime=5}] as @e[tag=Targeted,tag=P_forcer] run scoreboard players set Revenge ListBuff 1

#Normal attack: execution
execute as @s[tag=!AmokHit,scores={HitTime=5}] if score Orb Math matches 6 run function main:random/missed
execute as @s[tag=!AmokHit,scores={HitTime=5},name=Sorcerer] as @e[tag=Targeted] run scoreboard players set @s Defense 0
execute as @s[tag=!AmokHit,scores={HitTime=5},name="Evil Spirit"] as @e[tag=Targeted] run scoreboard players set @s Defense 0
execute as @s[tag=!AmokHit,scores={HitTime=5}] as @e[tag=Targeted] run scoreboard players operation @s Damage -= @s Defense
execute as @s[tag=!AmokHit,scores={HitTime=5}] as @e[tag=Targeted] if score Barkskin ListBuff matches 1.. run scoreboard players operation @s Damage /= Factor2 Math
execute as @s[tag=!AmokHit,scores={HitTime=5}] if score @s EffectWeakness matches 1.. as @e[tag=Targeted] run scoreboard players operation @s Damage /= Factor2 Math
execute as @s[tag=!AmokHit,scores={HitTime=5},tag=CalmEmblem] as @e[tag=Targeted,tag=P_calmemblem] run scoreboard players operation @s Damage /= Factor2 Math
execute as @s[tag=!AmokHit,scores={HitTime=5}] as @e[tag=Targeted] if score @s Damage matches ..0 run scoreboard players set @s Damage 0
execute as @s[tag=!AmokHit,scores={HitTime=5}] as @e[tag=Targeted] if score Protected ListBuff matches 1.. run scoreboard players set @s Damage 0
execute as @s[tag=!AmokHit,scores={HitTime=5}] as @e[tag=Targeted] run scoreboard players operation @s Health -= @s Damage
execute as @s[tag=!AmokHit,scores={HitTime=5}] at @e[tag=Targeted] run particle sweep_attack ~ ~ ~ 0.2 0.2 0.2 0.1 10 force @a[tag=PAR]
execute as @s[tag=!AmokHit,scores={HitTime=5}] as @e[tag=Targeted,tag=!Missed] run effect give @s wither 2 0 true
execute as @s[tag=!AmokHit,scores={HitTime=5}] as @e[tag=Targeted,tag=!Missed] run clear @a[tag=Playing] glass
execute as @s[tag=!AmokHit,scores={HitTime=5}] if entity @e[tag=Player,tag=P_Spikes] run scoreboard players remove @s Health 2
execute as @s[tag=!AmokHit,scores={HitTime=5}] if entity @e[tag=Player,tag=P_Spikes] run effect give @s wither 2 0 true

#Normal attack: special modifiers
execute as @s[tag=!AmokHit,scores={HitTime=5},type=spider,tag=!Boss] unless score @s EffectCursed matches 1.. run scoreboard players set @e[tag=Targeted,tag=!Missed] DamagePoison 3
execute as @s[tag=!AmokHit,scores={HitTime=5},type=spider,tag=!Boss] unless score @s EffectCursed matches 1.. if entity @e[tag=Targeted,tag=!Missed] run scoreboard players set Poison ListBuff 5
execute as @s[tag=!AmokHit,scores={HitTime=5},type=wither_skeleton,tag=!Boss] unless score @s EffectCursed matches 1.. as @e[tag=Targeted,tag=!Missed] run function enemy:wither
execute as @s[tag=!AmokHit,scores={HitTime=5},type=husk,tag=!Boss] unless score @s EffectCursed matches 1.. as @e[tag=Targeted,tag=!Missed] run scoreboard players add Drain ListBuff 3
execute as @s[tag=!AmokHit,scores={HitTime=5},name=Crusher] unless score @s EffectCursed matches 1.. run scoreboard players set Rooted ListBuff 3
execute as @s[tag=!AmokHit,scores={HitTime=5},name="Large Slime"] unless score @s EffectCursed matches 1.. run scoreboard players set Weakness ListBuff 3

#Arrows
execute as @s[tag=HittingArrow,scores={HitTime=24}] run tag @e[tag=Player] add Targeted
execute as @s[tag=HittingArrow,scores={HitTime=24}] at @s run tp @s ~ ~ ~ facing entity @e[tag=Targeted,limit=1]
execute as @s[tag=HittingArrow,scores={HitTime=22}] as @e[tag=Targeted] run function math:attack2
execute as @s[tag=HittingArrow,scores={HitTime=22}] as @e[tag=Targeted] run function math:defense2
execute as @s[tag=HittingArrow,scores={HitTime=22}] as @e[tag=Targeted] run scoreboard players operation @s Damage -= @s Defense
execute as @s[tag=HittingArrow,scores={HitTime=22},tag=Shooting2] as @e[tag=Targeted] run scoreboard players operation @s Damage *= Factor3 Math
execute as @s[tag=HittingArrow,scores={HitTime=22}] as @e[tag=Targeted,tag=P_Deflector] run scoreboard players operation @s Damage /= Factor2 Math
execute as @s[tag=HittingArrow,scores={HitTime=22}] as @e[tag=Targeted] if score @s Damage matches ..0 run scoreboard players set @s Damage 0
execute as @s[tag=HittingArrow,scores={HitTime=22}] as @e[tag=Targeted] if score Protected ListBuff matches 1.. run scoreboard players set @s Damage 0
execute as @s[tag=HittingArrow,scores={HitTime=22}] as @e[tag=Targeted] run scoreboard players operation @s Health -= @s Damage
execute as @s[tag=HittingArrow,scores={HitTime=22}] as @e[tag=Targeted] run effect give @s wither 2 0 true
execute as @s[tag=HittingArrow,scores={HitTime=22}] run title @a[tag=Playing] actionbar ["",{"translate":"main.damage.1"},{"score":{"name":"@e[tag=Targeted,limit=1]","objective":"Damage"},"color":"dark_red"},{"translate":"main.damage.2"}]
execute as @s[scores={HitTime=17}] run tag @s remove HitStart
execute as @s[scores={HitTime=17}] run tag @s add HitDone
execute as @s[scores={HitTime=17}] run tag @s remove HittingArrow

#Bolts
execute as @s[tag=HittingBolt,scores={HitTime=34}] run tag @e[tag=Player] add Targeted
execute as @s[tag=HittingBolt,scores={HitTime=34}] at @s run tp @s ~ ~ ~ facing entity @e[tag=Targeted,limit=1]
execute as @s[tag=HittingBolt,scores={HitTime=32}] as @e[tag=Targeted] run function math:attack2
execute as @s[tag=HittingBolt,scores={HitTime=32}] as @e[tag=Targeted] run function math:defense2
execute as @s[tag=HittingBolt,scores={HitTime=32},name=Sorcerer] as @e[tag=Targeted] run scoreboard players set @s Defense 0
execute as @s[tag=HittingBolt,scores={HitTime=32}] as @e[tag=Targeted] run scoreboard players operation @s Damage -= @s Defense
execute as @s[tag=HittingBolt,scores={HitTime=32},tag=Shooting2] as @e[tag=Targeted] run scoreboard players operation @s Damage *= Factor3 Math
execute as @s[tag=HittingBolt,scores={HitTime=32}] as @e[tag=Targeted,tag=P_Deflector] run scoreboard players operation @s Damage /= Factor2 Math
execute as @s[tag=HittingBolt,scores={HitTime=32}] as @e[tag=Targeted] if score @s Damage matches ..0 run scoreboard players set @s Damage 0
execute as @s[tag=HittingBolt,scores={HitTime=32}] as @e[tag=Targeted] if score Protected ListBuff matches 1.. run scoreboard players set @s Damage 0
execute as @s[tag=HittingBolt,scores={HitTime=32}] as @e[tag=Targeted] run scoreboard players operation @s Health -= @s Damage
execute as @s[tag=HittingBolt,scores={HitTime=32}] as @e[tag=Targeted] run effect give @s wither 2 0 true
execute as @s[tag=HittingBolt,scores={HitTime=32}] run title @a[tag=Playing] actionbar ["",{"translate":"main.damage.1"},{"score":{"name":"@e[tag=Targeted,limit=1]","objective":"Damage"},"color":"dark_red"},{"translate":"main.damage.2"}]
execute as @s[scores={HitTime=27}] run tag @s remove HitStart
execute as @s[scores={HitTime=27}] run tag @s add HitDone
execute as @s[scores={HitTime=27}] run tag @s remove HittingBolt

#Fireballs
execute as @s[tag=HittingFlame,scores={HitTime=44}] run tag @e[tag=Player] add Targeted
execute as @s[tag=HittingFlame,scores={HitTime=44}] at @s run tp @s ~ ~ ~ facing entity @e[tag=Targeted,limit=1]
execute as @s[tag=HittingFlame,scores={HitTime=42}] as @e[tag=Targeted] run function math:attack2
execute as @s[tag=HittingFlame,scores={HitTime=42}] as @e[tag=Targeted] run function math:defense2
execute as @s[tag=HittingFlame,scores={HitTime=42}] as @e[tag=Targeted] run scoreboard players operation @s Damage -= @s Defense
execute as @s[tag=HittingFlame,scores={HitTime=42},tag=Shooting2] as @e[tag=Targeted] run scoreboard players operation @s Damage *= Factor3 Math
execute as @s[tag=HittingFlame,scores={HitTime=42}] as @e[tag=Targeted,tag=P_Deflector] run scoreboard players operation @s Damage /= Factor2 Math
execute as @s[tag=HittingFlame,scores={HitTime=42}] as @e[tag=Targeted] if score @s Damage matches ..0 run scoreboard players set @s Damage 0
execute as @s[tag=HittingFlame,scores={HitTime=42}] as @e[tag=Targeted] if score Protected ListBuff matches 1.. run scoreboard players set @s Damage 0
execute as @s[tag=HittingFlame,scores={HitTime=42}] as @e[tag=Targeted] run scoreboard players operation @s Health -= @s Damage
execute as @s[tag=HittingFlame,scores={HitTime=42}] as @e[tag=Targeted] run effect give @s wither 2 0 true
execute as @s[tag=HittingFlame,scores={HitTime=42}] run title @a[tag=Playing] actionbar ["",{"translate":"main.damage.1"},{"score":{"name":"@e[tag=Targeted,limit=1]","objective":"Damage"},"color":"dark_red"},{"translate":"main.damage.2"}]
execute as @s[scores={HitTime=37}] run tag @s remove HitStart
execute as @s[scores={HitTime=37}] run tag @s add HitDone
execute as @s[scores={HitTime=37}] run tag @s remove HittingFlame

#Beams
execute as @s[tag=HittingIce,scores={HitTime=54}] run tag @e[tag=Player] add Targeted
execute as @s[tag=HittingIce,scores={HitTime=54}] at @s run tp @s ~ ~ ~ facing entity @e[tag=Targeted,limit=1]
execute as @s[tag=HittingIce,scores={HitTime=52}] as @e[tag=Targeted] run function math:attack2
execute as @s[tag=HittingIce,scores={HitTime=52}] as @e[tag=Targeted] run function math:defense2
execute as @s[tag=HittingIce,scores={HitTime=52}] as @e[tag=Targeted] run scoreboard players operation @s Damage -= @s Defense
execute as @s[tag=HittingIce,scores={HitTime=52},tag=Shooting2] as @e[tag=Targeted] run scoreboard players operation @s Damage *= Factor3 Math
execute as @s[tag=HittingIce,scores={HitTime=52}] as @e[tag=Targeted,tag=P_Deflector] run scoreboard players operation @s Damage /= Factor2 Math
execute as @s[tag=HittingIce,scores={HitTime=52}] as @e[tag=Targeted] if score @s Damage matches ..0 run scoreboard players set @s Damage 0
execute as @s[tag=HittingIce,scores={HitTime=52}] as @e[tag=Targeted] if score Protected ListBuff matches 1.. run scoreboard players set @s Damage 0
execute as @s[tag=HittingIce,scores={HitTime=52}] as @e[tag=Targeted] run scoreboard players operation @s Health -= @s Damage
execute as @s[tag=HittingIce,scores={HitTime=52}] as @e[tag=Targeted] run effect give @s wither 2 0 true
execute as @s[tag=HittingIce,scores={HitTime=52}] run title @a[tag=Playing] actionbar ["",{"translate":"main.damage.1"},{"score":{"name":"@e[tag=Targeted,limit=1]","objective":"Damage"},"color":"dark_red"},{"translate":"main.damage.2"}]
execute as @s[scores={HitTime=47}] run tag @s remove HitStart
execute as @s[scores={HitTime=47}] run tag @s add HitDone
execute as @s[scores={HitTime=47}] run tag @s remove HittingIce

execute at @s[scores={HitTime=5}] run particle angry_villager ~ ~ ~ 0 0 0 0.1 1 force @a[tag=PAR]
execute as @s[scores={HitTime=5}] run title @a[tag=Playing] actionbar ["",{"translate":"main.damage.1"},{"score":{"name":"@e[tag=Targeted,limit=1]","objective":"Damage"},"color":"yellow"},{"translate":"main.damage.2"}]
execute as @s[scores={HitTime=5,EffectRage=1..}] run title @a[tag=Playing] actionbar ["",{"translate":"main.damage.amok"},{"score":{"name":"@e[tag=Targeted,limit=1]","objective":"Damage"},"color":"red"},{"translate":"main.damage.2"}]
execute as @s[scores={HitTime=5}] if entity @e[tag=Targeted,tag=Missed] run title @a[tag=Playing] actionbar ["",{"translate":"main.damage.enemymiss"},{"translate":"main.damage.miss","color":"red"}]
execute as @s[scores={HitTime=5}] run tag @e[tag=Targeted,tag=Missed] remove Missed
execute as @s[scores={HitTime=1},tag=HitTwo] run scoreboard players set @s HitTime 12
execute as @s[scores={HitTime=12}] run tag @s remove HitTwo
execute as @s[scores={HitTime=1}] run tag @s[tag=!HitTwo] remove HitStart
execute as @s[scores={HitTime=1}] run tag @s[tag=!HitTwo] add HitDone
execute as @s[scores={HitTime=1},tag=!HitTwo] run tag @e[tag=Targeted] remove Targeted
execute as @s[scores={HitTime=0}] run tag @s remove HitTwoDone

execute as @s[scores={HitTime=1..}] run scoreboard players remove @s HitTime 1