v1.1: The Void Remains
GENERAL
- Mimics will replace Utilities, Pillars and Statues!
 - Trying to utilize them will wake them up, and cause them to attack!
 - They drop resources (if utility), give 2 Honor (if statue), or drop the corresponding item (if Pillar).
 - They give Floor*10 Experience.
- Secret Rooms
 - Opened by Bombs, Blast Rocks, or Fireball 
 - Can be detected by cracked walls
 - Contain statues, food, chests with resources, a pillar with orb/passive, utilities, or absolutely nothing

UTILITIES
Mapper: For 2 Coal and 2 Runes, craft a Map! (drops Runes)
 - Maps work like Scroll of Brightness, DO NOT include secret rooms, DO give +3 Honor.
Bell: Stop monsters from coming closer! (drops Gold)
 - All nearby monsters will flee for 8 turns.
Campfire: Sleep to heal faster! (drops nothing)
 - Use this and you rapidly heal (2x per turn) for 1 Food per turn. Like Paralysis with double healing.
Stove: Throw in 3 Rocks to create Rocks! (drops Coal)
 - Has a chance to create a Devil Dust instead.
Barrel: Empty, but can be used for storage! (drops nothing)
 - Works like the Mine, but without items to begin with.
Fletcher: Create Bows, Crossbows, Arrows and Bolts! (drops Wood)
 - For 2 Wood and 3 Flesh, create a Bow.
  - Shoots arrows (8-10 damage), crafted with 1 Wood, 1 Coal, 1 Shard (8 pieces)
 - For 3 Wood and 4 Iron, create a Crossbow.
  - Shoots bolts (12-15 damage), crafted with 1 Wood, 1 Iron, 1 Shard (8 pieces)

ITEMS
- Plenty Horn: +50 Food, refills at levelup
- Holy Water: weakens enemies, refills at levelup
- Stream Portal: for 25 Magic, teleport to a place in the same room
- Eldritch Dagger: for 25 Magic, deals Floor*3 damage to normal enemies, but Floor*10 damage to unsuspecting ones!
- Pocket Brew: identify any potion for 25 Magic
- Pocket Cut: identify any scroll for 25 Magic
- Pocket Smelt: identify any rock for 25 Magic
- Devil Dust: +1 Honor, but curses your items. Cannot be used when any items are cursed
- Golden Amulet: give to the shop for +5 Honor
- Compass: notifies you when a secret room is nearby
- Mimic Tooth: disallows any mimics to activate
- Lead Hourglass: for 5 Magic per turn, be Frozen in Time (like Cloak)

Books are now useful. I think.
- Added 3 more books
 - Angels And Origins
 - Demons And Influence
 - Reapers And Death
- Throw a book to lose it, but stun an enemy for 5 turns!

v1.2 Power of Three
GENERAL
Emerald Chests: can be found in secret rooms.

CLASSES
The Warrior (Orange)
- Starts with +3 Honor
- Knight's Honor: Transform all Food into Health until one is full/empty.
- Power Spell: For 50 Magic, gain +33% Attack and Defense for 15 turns.
- Corrupt Brew: Throw to weaken enemies. Refills when leveled up. (Holy Water)
- Well-Known: Loses no honor except Stealing and Murdering. (Sacred Ruby)
The Mage (Gray)
- Starts with -10 Max Experience
- Caster's Stash: Can store and re-call items at will.
- Wind Spell: For 50 Magic, freeze enemies and deal damage.
- Unbound: For 25 Magic, teleport to a visible place. (Stream Portal)
- Arch-Wizard: All spells have increased power. (Cast Book)
The Thief (Yellow)
- Starts with a 10% dodge chance
- Shadow's Melt: For 5 Magic per turn, become Shadowed and Invisible. Cannot activate if enemies are in sight.
- Treasure Spell: For 50 Magic, any item into Gold.
- Rogue-Like: Deals 3x damage to any unsuspecting enemy.(Eldritch Dagger)
- Quick Hands: Cannot be detected while stealing. (Decoy)

ITEMS
- Sacred Ruby
- Cast Book
- Decoy

Emerald Chest only:
- ORB Orb of Revival: upon dying, gain Healing, Enchanted, Strength and Speed for 10 turns; lose the orb
- POTION Mighty Potion: +20 Max Health and Magic, full Health and Magic
- CAST Lucky Cast: always enemy loot, or 10% Crit chance for triple damage for 10 turns
- SCROLL Holy Scroll: stop enemy spawing for this floor
- WEAPON Bedrock Blade: deals 2*Floor to 4*Floor damage, and chance to stun
- ARMOR Precious Plate: protects Floor*1 damage min and max, and chance to get Replenishing
- PASSIVE Sacred Emerald: +3 Honor per floor

v1.3 For All Is Good
GENERAL
- Offhanding the Attack button also unequips all armor.
- New Combat Resource: Titanium! Upgrade your weapons and armor.
- New Item Resource: Stone! Used to create Rocks.

UILITIES
Cutstone: Throw in a weapon and 1/2 Titanium, to upgrade them for +25% attack! (drops Stone)
 - The upgrade will persist after switching things.
Grindstone: Throw in armor and 1/2 Titanium, to upgrade them for +10% defense! (drops Stone)
 - All upgrades will persist (but why would you ever unequip armor?).

STONES AND ROCKS
Rocks: Give 1 buff but -2 Honor, and can only be used once! Also, color codes are random.
- Rock of Health: +50% Health and +200 Food.
"All death starts with life..."
- Rock of Magic: Full Magic for 3 turns.
"No cast shall be left unspoken..."
- Rock of Experience: +2 levels.
"Through the eyes of the ancients..."
- Rock of Vision: See all items, enemies (25 turns) and rooms.
"The mind can be filled with thoughts, good and evil..."
- Rock of Friendship: Summon a powerful ally.
"Even the Reapers fear the unholy..."
- Rock of Charm: Get 2 Shop items free.
"Nobody dares to reject a demon's offer..."
- Rock of Treasure: All enemies in sight always drop something.
"The Rocks bring out the worst in all of us..."
- Rock of Rewind: Remove all curses, effects, plagues, orbs, so reset to default.
"Nothing cannot be undone by the curses of time..."
- Rock of Shadows: Teleport to anywhere you want.
"The realm of the forgotten is your final garden..."
- Rock of Darkness: Kill all enemies in sight. No loot.
"None are spared... all die in the end."

RANDOM CHARACTER
1 Ability: God's Rage, Spirit's Ether, Wizard's Secret, Knight's Honor, Caster's Stash, Shadow's Melt, ???
1 Spell: Fireball, Alchemist, Transmute, Power, Wind, Treasure, Corrupt
1 Tool: any of the normal tools except Bomb, Cloak
1 Passive: any of the normal passives except the Blessings
???: ???
Corrupt Spell: make any enemy into an Ally for 50 Magic and a Stone